package cn.com.countrygarden.bi.main.constant;

/**
 * @ClassName ExtensionContent
 * @Description  外拓绑定模块 魔法值集合
 * @Author Sjiang
 * @Date 2019/1/18 15:09
 * @Version 1.0
 **/
public interface ExtensionContent {

    String NO_DATE = "暂无绑定数据";
    // 切割 查询集合大于 1000 ，MyBatis IN 查询 超过 1000 会报错
    int LIST_SIZE = 999;
    // 查询全部信息的标识  已绑定
    String BINDING_IDENTIFIER_BINDING = "1";
    // 查询全部信息的标识  未绑定
    String BINDING_IDENTIFIER_UN = "0";
    // 查询全部信息的标识  包括已绑定未绑定
    String BINDING_IDENTIFIER_All = "2";

    String ERROR_NO_ID = "数据绑定失败，无绑定所需的 ID，请检查数据准确性。";
    String ERROR_MESSAG = "请求参数有误，请确认传输参数合法性！";
    String GET_REPORT_ERROR = "获取外拓报表数据失败！";
    String GET_BINDING_ERROR = "获取已绑定信息失败！";
    String ID_NULL = "获取信息失败, ID 为空！";
    String ERP_NOT_DATA_ON_ID = "当前 ERP id 无数据！";
    String REPORT_BINDING_ERROR = "外拓报表数据绑定失败！";
    String DATA_DELETED = "您查询的数据已被删除！";
    String UPDATE_ERROR = "绑定数据修改失败！";
    String REMOVE_ERROR = "撤销绑定失败";
    String SUCCESS = "success";
    // 外拓管理员，不需要做区域权限控制
    String EXTENSION_ADMIN = "extension_admin";
    // 外拓人员
    String MARKETING_EXTENSION = "marketing_extension";


}
