package cn.com.countrygarden.bi.main.constant.wcx;

/**
 * 微创新常量类
 */
public class WcxConstant {
    /**
     * 角色类型
     */
    public static final String ROLE_IS_NOT_LEADER = "1";
    public static final String ROLE_IS_LEADER = "2";

    // new
    /**
     * 角色类型
     */
    //public static final String ROLE_IS_NOT_LEADER = "1"; // 不是领导
    //public static final String ROLE_IS_LEADER = "2"; // 是领导
    /**
     * 默认角色编码
     */
    public static final String ROLE_CODE_IS_NOT_LEADER = "default";

    /**
     * 状态(软删除)
     */
    public static final String STATUS_ENABLE = "1";
    public static final String STATUS_DISABLE = "0";
    // 特殊状态,用于奖单
    public static final String STATUS_STAY = "2"; // 待审核
    public static final String STATUS_GET = "3"; // 抽取状态

    /**
     * 响应状态
     */
    public static final String DEAL_SUCCESS = "success";
    public static final String DEAL_FAIL = "fail";

    /**
     * 文件类型
     */
    public static final String FILE_TYPE_PIC = "1"; // 图片
    public static final String FILE_TYPE_VIDEO = "2"; // 视频


    /**
     * 获奖类型
     *
     * 点赞量前20% 1 PRIZE_TYPE_BEST_GET_POINT_20
     * 各基础业务线点赞前三(创新) 2 PRIZE_TYPE_BEST_GET_POINT_BASELINE_TOP3
     * 通过终审最多的区域 3 PRIZE_TYPE_BEST_PASS_REGION
     * 通过终审最多的项目 4 PRIZE_TYPE_BEST_PASS_PROJECT
     * 最佳点赞手(人) 5 PRIZE_TYPE_BEST_PUT_POINT
     * 领导跟赞(创新) 6 PRIZE_TYPE_BEST_LEADER_PROJECT
     * 最多创新奖(人) 7 PRIZE_TYPE_BEST_NUMBER_INNOVATION
     */
    public static final String PRIZE_TYPE_BEST_GET_POINT_20_CODE = "bestGetPoint20";
    public static final String PRIZE_TYPE_BEST_GET_POINT_20 = "1"; // 点赞量前20%

    public static final String PRIZE_TYPE_BEST_GET_POINT_BASELINE_TOP3_CODE = "bestPutPointBaselineTop3";
    public static final String PRIZE_TYPE_BEST_GET_POINT_BASELINE_TOP3 = "2";

    public static final String PRIZE_TYPE_BEST_PASS_REGION_CODE = "bestPassRegion";
    public static final String PRIZE_TYPE_BEST_PASS_REGION = "3";

    public static final String PRIZE_TYPE_BEST_PASS_PROJECT_CODE = "bestPassProject";
    public static final String PRIZE_TYPE_BEST_PASS_PROJECT = "4";

    public static final String PRIZE_TYPE_BEST_PUT_POINT_CODE = "bestPutPoint";
    public static final String PRIZE_TYPE_BEST_PUT_POINT = "5";

    public static final String PRIZE_TYPE_BEST_LEADER_PROJECT_CODE = "bestLeaderLike";
    public static final String PRIZE_TYPE_BEST_LEADER_PROJECT = "6";

    public static final String PRIZE_TYPE_BEST_NUMBER_INNOVATION_CODE = "bestNumberInnovation";
    public static final String PRIZE_TYPE_BEST_NUMBER_INNOVATION = "7";

    // 基线
    /** 案场 **/
    public final String BASELINES_CASE = "1";
    /** 客服管家 **/
    public final String BASELINES_SERVICES_MANAGE  = "2";
    /** 保安 **/
    public final String BASELINES_SECURITY = "3";
    /** 保洁 **/
    public final String BASELINES_HOUSE_KEEPER = "4";
    /** 绿化 **/
    public final String BASELINES_GREEN = "5";
    /** 工程 **/
    public final String BASELINES_PROJECT = "6";

    // 分类
    /** 服务创新 **/
    public final String CLASSIFICATION_SERVICE_INNOVATION = "1";
    /** 作业工具 **/
    public final String CLASSIFICATION_WORK_TOOL = "2";
    /** 技术创新 **/
    public final String CLASSIFICATION_TECHNICAL_INNOVATION  = "3";
    /** 管理制度 **/
    public final String CLASSIFICATION_MANAGEMENT_SYSTEM = "4";
    /** 其他 **/
    public final String CLASSIFICATION_OTHER = "5";

    // 创新类型
    /** 个人创新 **/
    public final String INNOVATION_TYPE_PERSONAL = "1";
    /** 团队创新 **/
    public final String INNOVATION_TYPE_TEAM = "2";

    public static final String DEFAULT_TITLE = "拟定";

    public static final String DEFAULT_ERROR_INFO = "请刷新页面后重试,或联系管理员";

    /**删除**/
    public static final int DELETE_YES = 1;
    /**不删除**/
    public static final int DELETE_NO = 0;
}