package cn.com.countrygarden.bi.main.controller.erp;

import cn.com.countrygarden.bi.main.controller.BaseController;
import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.tbsysuser.RtsUserQuery;
import cn.com.countrygarden.bi.main.service.erp.SysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户-控制层实现
 *
 * @author 木木子
 * @date 2018-08-24
 */
@RestController("SysUserController")
@RequestMapping("/api/sys/user")
public class SysUserController extends BaseController {
    @Autowired
    private SysUserService sysUserService;

    @RequestMapping(value = "/rts/list", produces = "application/json;charset=utf-8", method = RequestMethod.POST)
    public Result getRtsUsers(RtsUserQuery rtsUserQuery) {
        return sysUserService.queryRtsUserData(rtsUserQuery);
    }
}
