package cn.com.countrygarden.bi.main.controller.wcx;

import cn.com.countrygarden.bi.main.core.Response;
import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.wcx.WcxOriginalityDto;
import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.service.wcx.WcxOriginalityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 微创新创意
 * 时间范围查询
 * 最佳点赞手
 * 最多创新奖
 * 点赞量前20%
 * 通过终审最多的区域
 * 通过终审最多的项目
 * 领导跟赞
 * @author ferren
 */
@RestController
@RequestMapping("/api/wcx/originality")
@Deprecated
public class WcxOriginalityController {
    @Autowired
    private WcxOriginalityService wcxOriginalityService;


    @GetMapping("/pageList")
    public Result selectPageList(WcxOriginalityDto dto){
        PageData pageData = wcxOriginalityService.selectPageList(dto);
        return Response.response(pageData);
    }

}
