package cn.com.countrygarden.bi.main.dao.advise;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.advise.AdviseProcessDTO;
import cn.com.countrygarden.bi.main.dto.advise.AfAdviseProcessOneVO;
import cn.com.countrygarden.bi.main.dto.advise.param.AfAdviseProcessParam;
import cn.com.countrygarden.bi.main.model.advise.AfAdviseProcess;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 建言处理节点-数据层
 *
 * @author 木木子
 * @email 944528607@qq.com
 * @url
 * @date 2019-04-15
 */
public interface AfAdviseProcessMapper extends Mapper<AfAdviseProcess> {

    List<AfAdviseProcessOneVO> selectAdviseProcessOneVOList(@Param("adviseProcess") AfAdviseProcessParam adviseProcess);

    List<AdviseProcessDTO> selectAllAfAdviseProcess(@Param("branchTypeCode") String branchTypeCode);
}