package cn.com.countrygarden.bi.main.dao.ck;

import cn.com.countrygarden.bi.main.dto.ck.CkCleanerBasicDTO;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerFieldConfigVo;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerTableVo;
import cn.com.countrygarden.bi.main.model.ck.CkCleanerExternaldisplay;
import cn.com.countrygarden.bi.main.model.ck.ksh.CkKshBasic;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CkCleanerExternaldisplayMapper extends cn.com.countrygarden.bi.main.core.Mapper<CkCleanerExternaldisplay> {

    List<CkCleanerFieldConfigVo> CleanerFieldCof(@Param("fieldCodeString") List<String> fieldCodeString,
                                                 @Param("ckCleanerBasicdto") CkCleanerBasicDTO ckCleanerBasicdto,
                                                 @Param("commId") String commId);

    List<CkCleanerFieldConfigVo> CleanerFieldCof2(@Param("ckCleanerBasicdto") CkCleanerBasicDTO ckCleanerBasicdto,
                                                  @Param("commId") String commId);

    List<CkCleanerTableVo> cleanerBasicList(@Param("ckCleanerBasicdto") CkCleanerBasicDTO ckCleanerBasicdto);

    List<CkCleanerExternaldisplay> selectAllSort(@Param("basicId") Integer basicId);

    List<CkKshBasic> ckList(@Param("ckCleanerBasicdto") CkCleanerBasicDTO basicdto);

}
