package cn.com.countrygarden.bi.main.dao.ck;

import cn.com.countrygarden.bi.main.dto.ck.CkPublicBenefitsZationVo;
import cn.com.countrygarden.bi.main.model.ck.CkPublicBenefitsZation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   公共收益初始化数据表数据层
 * </p>
 *
 * @author 李森林
 * @date 2021-05-07
 * @version V1.0
 */
@Mapper
public interface CkPublicBenefitsZationMapper extends cn.com.countrygarden.bi.main.core.Mapper<CkPublicBenefitsZation> {

    List<CkPublicBenefitsZationVo> queryPageList(@Param("ckPublicBenefitsZation") CkPublicBenefitsZation ckPublicBenefitsZation,
                                                 @Param("organCodeString") List<String> organCodeString, @Param("commIdString") List<String> commIdString);

    List<CkPublicBenefitsZation> selectCher(CkPublicBenefitsZation ckPublicBenefitsZation);

}
