package cn.com.countrygarden.bi.main.dao.ck.res;

import cn.com.countrygarden.bi.main.model.ck.res.CkResourceIncome;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   公共资源收益数据层
 * </p>
 *
 * @author
 * @date 2021-06-29
 * @version V1.0
 */
@Mapper
public interface CkResourceIncomeMapper extends cn.com.countrygarden.bi.main.core.Mapper<CkResourceIncome> {

    Long selectListDataToble(@Param("cleanerQueyr") CkResourceIncome cleanerQueyr,@Param("organCodeString") List<String> organCodeString, @Param("commIdString") List<String> commIdString,@Param("time") List<String> time);

    List<CkResourceIncome> selectListData(@Param("cleanerQueyr") CkResourceIncome cleanerQueyr,@Param("organCodeString") List<String> organCodeString, @Param("commIdString") List<String> commIdString,@Param("time") List<String> time);

    List<CkResourceIncome> selectGetrevenue(@Param("commCode") String commCode, @Param("updateDate") String updateDate);

    List<CkResourceIncome> selectincometishi(@Param("income") CkResourceIncome income);

    List<CkResourceIncome> selectOpeningClosing(@Param("ro") CkResourceIncome ro);

    List<CkResourceIncome> selectOpeningClosingShenHeOne(@Param("ro") CkResourceIncome ro);
}
