package cn.com.countrygarden.bi.main.dao.districtReport;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.districtReport.RdClosedBuildingProjectDTO;
import cn.com.countrygarden.bi.main.dto.districtReport.RdClosedBuildingProjectVO;
import cn.com.countrygarden.bi.main.model.districtReport.RdClosedBuildingProject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 已收楼项目-数据层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2019-08-14
 */
public interface RdClosedBuildingProjectMapper extends Mapper<RdClosedBuildingProject>{

    List<RdClosedBuildingProjectDTO> queryPageList(@Param("rdClosedBuildingProjectDTO") RdClosedBuildingProjectDTO rdClosedBuildingProjectDTO,
                                                   @Param("organCodeString") List<String> organCodeString,@Param("commIdString") List<String> commIdString,@Param("principaString") List<String> principaString);

    RdClosedBuildingProjectDTO queryById(@Param("id") Integer id);

    RdClosedBuildingProjectDTO closedBuildingProjectAddOne(@Param("regionCode") String regionCode,@Param("projectCode") String projectCode,@Param("createdBy") String createdBy);

    int BuildingProjectsAddone(RdClosedBuildingProjectDTO rdClosedBuildingProjectDTO);

    int update(RdClosedBuildingProject rdClosedBuildingProject);

    int deleteUpdate(@Param("id") Integer id,@Param("updateBy") String updateBy,@Param("updateName") String updateName);

    int delpingliangtag(@Param("rids") List<String> rids,@Param("updateBy") String updateBy,@Param("updateName") String updateName);

    List<RdClosedBuildingProjectVO> evaluationrdClosedBuildingProject(@Param("rdClosedBuildingProjectDTO") RdClosedBuildingProjectDTO rdClosedBuildingProjectDTO,
                                                                      @Param("organCodeString") List<String> organCodeString,@Param("commIdString") List<String> commIdString,@Param("principaString") List<String> principaString);


}