package cn.com.countrygarden.bi.main.dao.dup;

import java.util.List;

import com.github.pagehelper.PageRowBounds;

import cn.com.countrygarden.bi.main.model.dup.ParkingSpacesTransferDetail;
import cn.com.countrygarden.bi.main.model.dup.ParkingSpacesTransferReportsDto;
import cn.com.countrygarden.bi.main.model.dup.SiteResources;

/**
 * <pre>
 * 。车位移交mapper
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public interface ParkingSpacesTransferDetailMapper {
	
	/**
	 * 查询车位移交明细记录--模糊查询
	 * @param parkingSpacesTransferDetail
	 * @param pageRowBounds
	 * @return
	 */
	List<SiteResources> findParkingSpacesTransferDetailLike(ParkingSpacesTransferDetail parkingSpacesTransferDetail,
			PageRowBounds pageRowBounds);
	
	/**
	 * 车位移交明细-修改
	 * @param parkingSpacesTransferDetail
	 * @return
	 */
	int updateParkingSpacesTransferDetail(ParkingSpacesTransferDetail parkingSpacesTransferDetail);
	
	/**
	 * 车位移交明细-删除
	 * @param parkingSpacesTransferDetail
	 * @return
	 */
	int deleteParkingSpacesTransferDetail(ParkingSpacesTransferDetail parkingSpacesTransferDetail);
	
	/**
	 * 车位移交明细-新增
	 * @param parkingSpacesTransferDetail
	 * @return
	 */
	int addParkingSpacesTransferDetail(ParkingSpacesTransferDetail parkingSpacesTransferDetail);
	
	
	/**
	 * 查询车位移交明细报表基础数据
	 * @return
	 */
	List<ParkingSpacesTransferReportsDto> findParkingSpacesTransferReports(
			ParkingSpacesTransferReportsDto parkingSpacesTransferReportsDto ,PageRowBounds pageRowBounds);
	
	/**
	 * 查询车位移交明细计数部分
	 * @param parkingSpacesTransferReportsDto
	 * @return
	 */
	ParkingSpacesTransferReportsDto finParkingSpacesTransferReportsDto(
			ParkingSpacesTransferReportsDto parkingSpacesTransferReportsDto);

}
