package cn.com.countrygarden.bi.main.dao.mediaResource;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.mediaResource.MediaOrderBillDto;
import cn.com.countrygarden.bi.main.model.mediaResource.MediaOrderBill;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface MediaOrderBillMapper extends Mapper<MediaOrderBill> {

    List<MediaOrderBillDto> findList(MediaOrderBillDto param);

    Long findCount(MediaOrderBillDto param);

    List<MediaOrderBillDto> findByOrderId(String orderId);

    /**
     * 删除orderId
     */
    void delByOrderId(@Param("orderId") String orderId, @Param("userCode")  String userCode,
                      @Param("userName")  String userName, @Param("modTime") Date modTime);
}
