package cn.com.countrygarden.bi.main.dao.mediaResource;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.mediaResource.MediaOrderRunBillDto;
import cn.com.countrygarden.bi.main.model.mediaResource.MediaOrderRunBill;

import java.util.List;

public interface MediaOrderRunBillMapper extends Mapper<MediaOrderRunBill> {
    /**
     * 高级查询条目
     * @param param
     * @return
     */
    List<MediaOrderRunBillDto> findList(MediaOrderRunBillDto param);

    /**
     * 高级查询总数
     * @param param
     * @return
     */
    Long findCount(MediaOrderRunBillDto param);

    List<MediaOrderRunBillDto> findByRunId(String orderRunId);
}
