package cn.com.countrygarden.bi.main.dao.propertyAgreement;


import cn.com.countrygarden.bi.main.dto.propertyAgreement.PropertyAgreementDto;
import cn.com.countrygarden.bi.main.model.propertyAgreement.PropertyAgreement;
import tk.mybatis.mapper.common.Mapper;

import java.util.Date;
import java.util.List;


public interface PropertyAgreementMapper extends Mapper<PropertyAgreement> {
    /**
     * 分页数据查询
     * @author ferren
     * @date 2020/1/13 14:13
     * @param dto
     * @return int
     */
    List<PropertyAgreementDto> findList(PropertyAgreementDto dto);
    /**
     * 分页数量查询
     * @author ferren
     * @date 2020/1/13 14:13
     * @param dto
     * @return int
     */
    int findCount(PropertyAgreementDto dto);
    /**
     * 区域名称
     * @author ferren
     * @date 2020/1/13 17:10
     * @param
     * @return java.util.List<java.lang.String>
     */
    @Deprecated
    List<String> findOrganList();
    /**
     * 获取最后一次查询时的时间
     * @author ferren
     * @date 2020/1/14 13:17
     * @param
     * @return java.util.Date
     */
    Date findMaxTime();

    List<PropertyAgreement> selectClick(PropertyAgreement propertyAgreement);
}
