package cn.com.countrygarden.bi.main.dao.sharppathevaluation;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.PersonInfoVO;
import cn.com.countrygarden.bi.main.dto.personnel.QueryCriteriaDTO;
import cn.com.countrygarden.bi.main.dto.sharppathevaluation.PersonnelSharppathevaluationDTO;
import cn.com.countrygarden.bi.main.dto.sharppathevaluation.SearchFormDTO;
import cn.com.countrygarden.bi.main.model.sharppathevaluation.PersonnelSharppathevaluation;
/**
 * 锐途测评-数据层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-09-25
 */
public interface PersonnelSharppathevaluationMapper extends Mapper<PersonnelSharppathevaluation>{
	List<SearchFormDTO> selectPersonnelInformation(@Param("search") String search);
	List<PersonnelSharppathevaluationDTO> importPersonnelSharppathevaluationData(@Param(value="queryCriteriaDTO")QueryCriteriaDTO queryCriteriaDTO,@Param(value="rolesMap")Map<String, Object> rolesMap);


	List<PersonnelSharppathevaluationDTO> selectSharppathevaluationAll(@Param(value="userId")String userId, @Param(value="searchName")String searchName,@Param(value="personnelId")Integer personnelId,@Param(value="userIds")List<String> userIds);


	PersonnelSharppathevaluationDTO PersonnelSharppathevaluationAll(@Param(value="personnelId")Integer personnelId,@Param(value="personneltagId")Integer personneltagId);


	int findCountHiPsnjob(@Param(value="userId")String userId); 

	int delpiliang(@Param(value="shid")List<String> shid); 
	
	List<PersonnelSharppathevaluationDTO> selectSharppathevaluationNewest(@Param(value="DTO")PersonnelSharppathevaluationDTO personnelSharppathevaluationDTO,
			@Param(value="rolesMap")Map<String,Object> rolesMap);
	List<PersonnelSharppathevaluationDTO> findPersonnelSharppathevaluationDTO(@Param(value="DTO")PersonnelSharppathevaluationDTO personnelSharppathevaluationDTO);

	List<PersonnelSharppathevaluationDTO> selectSharppathevaluationInfo(@Param(value="personInfoVO")PersonInfoVO personInfoVO,@Param(value="userIds")List<String> userIds);
	List<PersonnelSharppathevaluationDTO> selectSharppathevaluationInfoMapRole(@Param(value="personInfoVO")PersonInfoVO personInfoVO,
			@Param(value="rolesMap")Map<String, Object> rolesMap);
	List<PersonnelSharppathevaluationDTO> importPersonnelSharppathevaluationData1(@Param(value="queryCriteriaDTO")QueryCriteriaDTO queryCriteriaDTO,@Param(value="userIds")List<String> userIds);

	List<PersonnelSharppathevaluationDTO> importPersonnelSharppathevaluationData2(@Param(value="queryCriteriaDTO")QueryCriteriaDTO queryCriteriaDTO,@Param("rolesMap")
	Map<String, Object> rolesMap);

}