package cn.com.countrygarden.bi.main.dto.advise;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;

/**
 * @author 木木子
 * @Description: 所属项目集合
 * @email 944528607@qq.com
 * @date 2019/5/1 11:14
 */
@Data
public class ProjectListVO  implements Serializable {
    /**
     * 区域编号
     */
    @Excel(name = "区域编号", width = 25)
    private String organCode;
    /**
     * 区域名称
     */
    @Excel(name = "区域名称", width = 25)
    private String organName;
    /**
     * 项目编号
     */
    @Excel(name = "项目编号", width = 25)
    private String commId;
    /**
     * 项目名称
     */
    @Excel(name = "项目名称", width = 25)
    private String commName;

    @Excel(name = "常规实际进驻时间", width = 25)
    private String actualEnterTime;

    @Excel(name = "合同收楼时间", width = 25)
    private String contractProperty;
    /**
     * 年份
     */
    private String year;
    /**
     * 月份
     */
    private String month;



    private String createName;


    private String mobileTel;

    private int commIdNum;
}
