package cn.com.countrygarden.bi.main.dto.ck;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.List;

/**
 * @author 木木子
 * @Description: java类作用描述
 * @email 944528607@qq.com
 * @date 2020/4/15 10:35
 */
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CkCleanerFieldConfigListVo {
    private Integer id;

    /**
     * 字段编号
     */

    private String fieldCode;
    /**
     * 字段名称
     */

    private String fieldName;
    /**
     * 字段名称
     */

    private String value;
    /**
     * 父字段id
     */

    private Integer parentId;
    /**
     * 树路径（例：001,0011）
     */

    private String path;
    /**
     * 类型（0目录1字段）
     */

    private Integer type;
    /**
     * 长度
     */

    private Double fieldLength;
    /**
     * 显示宽度
     */

    private Double showWidth;
    /**
     * 是否查询条件
     */

    private Integer queryFlag;
    /**
     * 是否必填
     */

    private Integer requiredFlag;
    /**
     * 是否继承上月
     */

    private Integer inheritFlag;

    /**
     * 数值类型(例:0字符1数值2小数)
     */

    private Integer valueType;
    /**
     * 排序号
     */

    private Integer soft;

    private int childrenCount;


}
