package cn.com.countrygarden.bi.main.dto.ck;

import cn.com.countrygarden.bi.main.dto.advise.ProjectListVO;
import cn.com.countrygarden.bi.main.dto.advise.RegionListVO;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @author 木木子
 * @Description: java类作用描述
 * @email 944528607@qq.com
 * @date 2020/4/16 18:45
 */
@Data
public class CkCleanerQueyr {
    /**
     * ck_cleaner_basic表id
     */
    private Integer basicId;

    private int size=10;
    private int page=1;

    private String searchStr;
    private Map<String,String> searchMap;
    /**
     * 区域编号
     */
    private String orgCode;
    /**
     * 项目编号
     */
    private  String commCode;
    private String orgName;
    private String year;

    private String month;

    private boolean ckRegionRole;
    private boolean ckProjectRole;

    private List<ProjectListVO> projectList;

    private List<RegionListVO> regionList;

    private Integer isDisplay;

    private String contractProperty;

    /**
     * 是否完成填报 1:是,0:否
     */
    private Integer isFillin;

    /**
     * 是否锁定 1:是,0:否
     */
    private Integer isLocking;


    /**
     * 是否申请解锁 1:是,0:否
     */
    private Integer isUnlocking;

    private boolean isckSert;
}
