package cn.com.countrygarden.bi.main.dto.ck;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;
import java.util.List;

@Data
public class CkCleanerTableVo3 {

    private Integer basicIndex;

    private Integer basicId;

    /**
     * 区域编码
     */
    @Excel(name = "区域编号", width = 25)
    private String orgCode;
    /**
     * 区域名称
     */
    @Excel(name = "区域名称", width = 25)
    private String orgName;
    /**
     * 项目编码
     */

    private String commCode;
    /**
     * 项目名称
     */
    private String commName;


    private String contractProperty;

    @Excel(name = "应维护项目数量", width = 25)
    private int maintained;

    @Excel(name = "已维护项目数量", width = 25)
    private int yilu;
    /**
     * 年份
     */
    @Excel(name = "年份", width = 25)
    private String year;

    /**
     * 月份
     */
    @Excel(name = "月份", width = 25)
    private String month;


    private Integer id;

    private Integer status;

    private String createName;

    private String createBy;

    private String authority;

    private Integer isDisplay;

    private List<CkCleanerFieldConfigVo> children;

    private String operatingType;

    private String dataClassification;

    private Integer locking;

    private String lockingBy;

    private String lockingName;

    private String lockingRole;

    private String lockingRoleName;

    private String lockingCode;


    private Date updateTime;

    private String dataConfig;

    /**
     * 是否完成填报 1:是,0:否
     */
    private Integer isFillin;

    /**
     * 是否锁定 1:是,0:否
     */
    private Integer isLocking;


    /**
     * 是否申请解锁 1:是,0:否
     */
    private Integer isUnlocking;

    /**
     * 是否已提交 1:是,0:否
     */
    private Integer isSubmit;

    private String mobileTel;

    private int enteredItemsPojNum;//已录入统计

    private int enteredPojNum;//未录入统计

    private int newMonthProjNum;//本月新增项目

    private int projectsNum;//项目总数



    private int weilu;

    private int benYueNewNum;

    @Excel(name = "完成率", width = 25)
    private String complete;//完成率

    //常规实际进驻时间
    private String actualEnterTime;

}
