package cn.com.countrygarden.bi.main.dto.ck;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

@Data
public class CkPublicBenefitsZationVo {
    private Integer id;
    /**
     * 区域编码
     */
    private String orgCode;
    /**
     * 区域名称
     */
    @Excel(name = "区域名称", width = 25)
    private String orgName;
    /**
     * 项目名称
     */
    @Excel(name = "项目名称", width = 25)
    private String commName;
    /**
     * 项目编码
     */
    @Excel(name = "项目ERP编码", width = 25)
    private String commCode;
    /**
     * 首次台账时间
     */
    @Excel(name = "首次台账时间", width = 25)
    private String bookTime;
    /**
     * 期初结存金额
     */
    @Excel(name = "期初结存金额", width = 25)
    private String aobamount;
    /**
     * 期初应收未收
     */
    @Excel(name = "期初应收未收", width = 25)
    private String uncollected;
    /**
     * 期初应付未付
     */
    @Excel(name = "期初应付未付", width = 25)
    private String payablebut;
}
