package cn.com.countrygarden.bi.main.dto.propertyAgreement;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;
@Getter@Setter
public class PropertyAgreementDto {
    private Integer propertyAgreementId;
    /**房产区域**/
    private String regionName;
    /**营销区域**/
    private String salesRegionName;
    /**业主姓名**/
    private String cstname;
    /**协议名称**/
    private String fileName;
    /**签署时间**/
    private Date signedTime;
    private String signedTimeStr;
    /**房间代码**/
    private String roomid;
    /**房间路址**/
    private String htRoomName;
    /**楼盘id**/
    private String areaid;
    /**楼盘名称**/
    private String areaName;
    /**协议文件**/
    private String fileUrl;
    /**签署时间开始 格式 yyyy-MM-dd**/
    private String signedTimeStartStr;

    private Date signedTimeStart;
    /**签署时间结束 格式 yyyy-MM-dd**/
    private String signedTimeEndStr;
    private Date signedTimeEnd;

    //分页条件
    private int pageIndex;
    private int pageSize;
    private int pageOffset;
    private String AccessToken;
}


// {"FileUrl":"https://xsfile.bgy.com.cn/FileService/file/download?fileId=35b5f647-cf59-4c19-9ca9-d052983e055a",
// "FileName":"碧桂园住宅临时管理规约",
// "signedTime":"2019-12-25T09:24:35.07",
// "roomid":"RGFHW-QLY-046D-2402",
// "htRoomName":"广东省佛山市顺德区容桂街道小黄圃社区悦海中路2号容桂碧桂晴澜苑46栋2402房",
// "areaid":"RGFHW",
// "areaName":"容桂碧桂园凤凰湾",
// "cstname":"吴培超",
// "RegionName":"佛肇区域",
// "salesRegionName":"佛肇区域"}


