package cn.com.countrygarden.bi.main.model.ck.green;

import cn.com.countrygarden.bi.main.model.ck.CkCleanerBasic;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * ${DESC}
 *
 * @ClassName:CkGreenBasic.java
 * @Description:功能描述
 * @author: lisenlin
 * @date: 2020/10/27
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@Table(name = "ck_green_basic")
@Data
public class CkGreenBasic extends CkCleanerBasic {

    //是否锁定 1是 0否
    @Column(name="locking")
    private Integer locking;

    //锁定人编号
    @Column(name="locking_by")
    private String lockingBy;

    //锁定人姓名
    @Column(name="locking_name")
    private String lockingName;

    //锁定人权限
    @Column(name="locking_role")
    private String lockingRole;

    //锁定人权限名
    @Column(name="locking_roleName")
    private String lockingRoleName;

}
