package cn.com.countrygarden.bi.main.model.mediaResource;

import java.util.Date;

import javax.persistence.Id;
import javax.persistence.Table;

import lombok.Data;

@Table(name="advertising_file_directory")
@Data
public class AdvertisingFileDirectory {
	
	public final static String ISEXIST = "文件已存在";
	public final static String SUCESS = "成功";
	public final static String FORMATERROR = "不支持该文件格式";
	public final static String FAIL = "上传失败";
	
	@Id
	private Long id;
	private String fileName;
	private String fileUrl;
	private String fileRealName;
	private String mediaId;
	private Date createTime;
	
	
	public AdvertisingFileDirectory(String fileName,String fileRealName,String fileUrl,String mediaId) {
		this.fileName = fileName;
		this.fileRealName = fileRealName;
		this.fileUrl = fileUrl;
		this.mediaId = mediaId;
		this.createTime = new Date();
	}
	
}
