package cn.com.countrygarden.bi.main.model.mediaResource;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import lombok.Data;

@Data
public class ErpBasicInfo {

	private String basicsId;		//区域主键
	private String commId;			//区域id
	private String organCode;		//区域编码
	private String propertyArea;	//物业区域
	private String propertyProject;	//物业项目
	private String developmentSubject;	//开发主体
	private String region;			//项目地址
	private String province;		//省级行政区
	private String city;			//地级行政区
	private String county;			//县级行政区
	private Date actualProperty;	//实际收楼日期  yyyy-MM-dd
	private BigDecimal occRate;		//入住率
	
	private List<ErpPlanInfo> planInfos;//规划户数
	
	//12-26
	private String  plannedOpen;					//计划开盘时间(首期)
	private String  actualOpen;					//实际开盘时间(首期)
	private String contractProperty;				//合同收楼时间(首批)
	private String  propertyName;			//项目营业执照的物业公司全称
	private String  developmentSubjectNames;	//开发主体（房产核算全称）
	private String  propertyForm;				//物业业态
	private String  developmentState;			//项目开发状态
	private String  takeoverState;				//接管状态
	private String  actualEnterTime;			//实际进驻时间
	private String  stateProperty;				//收楼状态
	private BigDecimal  totalResidentialArea;	//建筑面积（接管住宅建筑面积） 
	//12-26
	
}
