package cn.com.countrygarden.bi.main.service.dup;

import java.util.List;

import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.dup.ParkingSpacesTransferDetail;
import cn.com.countrygarden.bi.main.model.dup.ParkingSpacesTransferReportsDto;

/**
 * <pre>
 * 。车位移交明细Service
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public interface ParkingSpacesTransferDetailService {
	
	/**
	 * 车位移交数据--查询
	 * @param parkingSpacesTransferDetail
	 * @return
	 */
	PageData findParkingSpacesTransferDetailLike(ParkingSpacesTransferDetail parkingSpacesTransferDetail);
	
	/**
	 * 车位移交数据--更新
	 * @param parkingSpacesTransferDetail
	 * @return
	 */
	boolean updateParkingSpacesTransferDetail(ParkingSpacesTransferDetail parkingSpacesTransferDetail);
	
	/**
	 * 删除车位移交数据
	 * @param parkingSpacesTransferDetail
	 * @return
	 */
	boolean deleteParkingSpacesTransferDetail(ParkingSpacesTransferDetail parkingSpacesTransferDetail);
	
	/**
	 * 车位移交数据导入接口
	 * @param multipartFile
	 * @param fileName
	 * @param userCode
	 */
	void excelToObject(MultipartFile multipartFile, String fileName, String userCode);
	
	
	/**
	 * 车位移交明细报表查询
	 * @param parkingSpacesTransferReportsDto
	 * @return
	 */
	PageData ParkingSpacesTransferReports(ParkingSpacesTransferReportsDto parkingSpacesTransferReportsDto);
	
	

}
