package cn.com.countrygarden.bi.main.service.dup;

import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.dup.SellDataManagement;

/**
 * <pre>
 * 。营销数据管理Service
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public interface SellDataManagementService {

	/**
	 * 模糊搜索营销数据
	 * @param sellDataManagement
	 * @return
	 */
	PageData  findAllSellDataManagementControllerLike(SellDataManagement sellDataManagement);
	
	/**
	 * 更新营销数据
	 * @param sellDataManagement
	 * @return
	 */
	boolean updateSellDataManagement(SellDataManagement sellDataManagement);
	
	/**
	 * 删除营销数据
	 * @param sellDataManagement
	 * @return
	 */
	boolean deleteSellDataManagement(SellDataManagement sellDataManagement);
	
	/**
	 * 新增营销数据
	 * @param sellDataManagement
	 * @return
	 */
	boolean addSellDataManagement(SellDataManagement sellDataManagement);
	
	/**
	 * 导入营销数据管理
	 * @param multipartFile
	 * @param fileName
	 * @param userCode
	 */
	void excelToObject(MultipartFile multipartFile, String fileName, String userCode);
	
	/**
	 * 返回数量接口
	 * @param sellDataManagement
	 * @return
	 */
	SellDataManagement findtotalNumber(SellDataManagement sellDataManagement);
}
