package cn.com.countrygarden.bi.main.service.dup;

import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.dup.WeekIncome;

import java.util.List;
import java.util.Map;

/**
 * 周收入统计表
 * @author pansw
 *
 */
public interface WeekIncomeService {
	
	/**
	 * 查询所有项目名称
	 * @return
	 */
	List<Map<String,Object>> findAllProject();
	
	/**
	 * 查询周收入统计
	 */
	PageData findWeekIncomeStatistical(Integer[] commmIds,String startDate,String endDat,WeekIncome income);
	
}
