package cn.com.countrygarden.bi.main.service.manager.map.impl;

import cn.com.countrygarden.bi.main.dao.manager.map.ManagerMapCacheTemporaryMapper;
import cn.com.countrygarden.bi.main.model.manager.map.ManagerMapCacheTemporary;
import cn.com.countrygarden.bi.main.service.manager.map.ManagerMapCacheTemporaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ManagerMapCacheTemporaryServiceImpl implements ManagerMapCacheTemporaryService {

    @Autowired
    private ManagerMapCacheTemporaryMapper managerMapCacheTemporaryMapper;

    @Override
    public boolean clearAllCacheData() {
        return managerMapCacheTemporaryMapper.clearAllData()!=-1;
    }

    @Override
    public boolean saveList(List<ManagerMapCacheTemporary> recordList) {
        return managerMapCacheTemporaryMapper.insertList(recordList)!=-1;
    }
}
