package cn.com.countrygarden.bi.main.service.message;

import cn.com.countrygarden.bi.main.dto.message.SmsParamBO;

import java.util.List;

public interface SmsTemplateSender {
    /**
     * 批量短信发送
     *
     * @param templateCode
     * @param bos
     * @throws Exception
     */
    void sendBatchSms(String templateCode, List<SmsParamBO> bos);
    /**
     * 短信发送
     *
     * @param bo
     * @throws Exception
     */
    void sendSms(SmsParamBO bo);
}
