package cn.com.countrygarden.bi.main.service.sharppathevaluation;

import java.io.IOException;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.xssf.usermodel.XSSFSheet;
import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.PersonInfoVO;
import cn.com.countrygarden.bi.main.dto.personnel.QueryCriteriaDTO;
import cn.com.countrygarden.bi.main.dto.sharppathevaluation.SearchFormDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.personnel.Personnel;
import cn.com.countrygarden.bi.main.model.sharppathevaluation.PersonnelSharppathevaluation;
import tk.mybatis.mapper.entity.Condition;

/**
 * 锐途测评-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url
 * @date 2018-09-25
 */
public interface PersonnelSharppathevaluationService {
	
	
	PersonnelSharppathevaluation ExcelAddPersonnelSharppathevaluation(
			PersonnelSharppathevaluation personnelSharppathevaluation, Row row);
	Result del(Integer id);
	
	Result delpiliang(String id);
//	Result selectPersonnelInformation(String search);

	/**
	 * 导入excel文档
	 */
	Result exportExcel(String fileName, MultipartFile uploadfile, Integer radio,AccessToken accessToken);

	Result queryPageList(PersonInfoVO personInfoVO, int page, int size,AccessToken accessToken);

//	Result queryIsExistPersonnell(PersonInfoVO personInfoVO);
	/**
	 * 导出Excel文档
	 */
	Result importExcel(QueryCriteriaDTO queryCriteriaDTO,AccessToken accessToken,HttpServletResponse response)throws IOException;
	Result editOrAdd(PersonnelSharppathevaluation personnelSharppathevaluation, AccessToken accessToken);
	Result queryById(PersonnelSharppathevaluation personnelSharppathevaluation);

//	void importPersonnelSharppathevaluationData(QueryCriteriaDTO queryCriteriaDTO, XSSFSheet sheet,List<String> userIds);

	
}