package cn.com.countrygarden.bi.main.controller.marketing.common;

import cn.com.countrygarden.bi.main.core.Response;
import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.service.common.ProjectNatureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller("commonProjectNatureController")
@RequestMapping("/api/biapp/common/project/nature")
public class ProjectNatureController {

    @Autowired
    private ProjectNatureService natureService;


    /**
     * 获取项目性质列表
     *
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "", produces = "application/json;charset=utf-8", method = RequestMethod.GET)
    public Result cooperationType() {
        return Response.response(natureService.findAll());
    }
}
