package cn.com.countrygarden.bi.main.dao.advise;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.advise.param.AdviseTypeParam;
import cn.com.countrygarden.bi.main.dto.advise.AfAdviseTypeVO;
import cn.com.countrygarden.bi.main.model.advise.AfAdviseType;
import org.apache.ibatis.annotations.Param;

import java.util.List;
/**
 * 建言类型-数据层
 *
 * @author 木木子
 * @email 944528607@qq.com
 * @url 
 * @date 2019-04-15
 */
public interface AfAdviseTypeMapper extends Mapper<AfAdviseType>{
	/**
	 * 查找  enable ==1：没有被禁用的数据
	 * @param afAdviseTypeVO
	 * @return
	 */
	List<AfAdviseTypeVO> queryList(@Param("adviseTypeParam")AdviseTypeParam adviseTypeParam);
	/**
	 * 查看所有数据（与 enable的状态无关）
	 * @param afAdviseTypeVO
	 * @param adviseTypeParam
	 * @return
	 */
	List<AfAdviseTypeVO> queryAllList(@Param("adviseTypeParam")AdviseTypeParam adviseTypeParam);
}