package cn.com.countrygarden.bi.main.dao.ck.ksh;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.advise.ProjectListVO;
import cn.com.countrygarden.bi.main.dto.advise.RegionListVO;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerTableVo2;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerTableVo3;
import cn.com.countrygarden.bi.main.model.ck.ksh.CkKshBasic;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@org.apache.ibatis.annotations.Mapper
public interface CkKshBasicMapper extends Mapper<CkKshBasic> {
    List<CkKshBasic> selectBasic(@Param("ckCleanerBasic") CkKshBasic ckKshBasic);

    List<CkKshBasic> statisPr(@Param("ckCleanerBasic") CkKshBasic ckKshBasic);

    CkKshBasic inheritBasicInfo(@Param("query")CkKshBasic basic);

    List<CkCleanerTableVo2> statisProjDetadNot(@Param("year") int year, @Param("month") int month, @Param("orgCode") String orgCode,@Param("nianyue") String nianyue,@Param("ckRegionRole") boolean ckRegionRole,@Param("regionList") List<RegionListVO> regionList);

    int updateByPrimaryLocking(CkKshBasic ckCleerBas);

    Integer statisProjDetadNotCount(@Param("year") int year, @Param("month") int month, @Param("orgCode") String orgCode,
    @Param("ckRegionRole") boolean ckRegionRole, @Param("ckProjectRole") boolean ckProjectRole,
    @Param("regionList") List<RegionListVO> regionList,@Param("projectList2") List<ProjectListVO> projectList2,@Param("nianyue") String nianyue);

    int updateByPrimaryKisDisplay(CkKshBasic ckKshBasic);

    List<CkKshBasic> selectadd(@Param("month") int month);

    List<CkCleanerTableVo3> statisProjDetQuyuWahu(@Param("year") int year, @Param("month") int month, @Param("orgCode") String orgCode, @Param("nianyue") String nianyue, @Param("ckRegionRole") boolean ckRegionRole, @Param("regionList") List<RegionListVO> regionList);
}
