package cn.com.countrygarden.bi.main.dao.districtReport;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.districtReport.RdDistrictSettledDTO;
import cn.com.countrygarden.bi.main.dto.districtReport.RdDistrictSettledVO;
import cn.com.countrygarden.bi.main.model.districtReport.RdDistrictSettled;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 片区项目入驻-项目进驻计划-数据层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2019-08-14
 */
public interface RdDistrictSettledMapper extends Mapper<RdDistrictSettled>{

    List<RdDistrictSettledDTO> queryPageList(@Param("rdDistrictSettledDTO") RdDistrictSettledDTO rdDistrictSettledDTO,
                                             @Param("organCodeString") List<String> organCodeString,@Param("commIdString") List<String> commIdString,@Param("principaString") List<String> principaString);

    RdDistrictSettledDTO queryById(@Param("id") Integer id);

    RdDistrictSettledDTO settledDTOAddone(@Param("regionCode")String regionCode,
                                          @Param("districtCode")String districtCode,@Param("projectName") String projectName,@Param("createdBy") String createdBy);

    int deleteupdate(@Param("id") Integer id,@Param("updateBy") String updateBy,@Param("updateName") String updateName);

    int update(RdDistrictSettled rdDistrictSettled);

    int delpingliangtag(@Param("rids") List<String> rids,@Param("updateBy") String updateBy,@Param("updateName") String updateName);

    List<RdDistrictSettledVO> evaluationrdDistrictSettled(@Param("rdDistrictSettledDTO") RdDistrictSettledDTO rdDistrictSettledDTO,
                                                          @Param("organCodeString") List<String> organCodeString,@Param("principaString") List<String> principaString);

    List<RdDistrictSettledDTO> districtSettledone(RdDistrictSettledDTO rdDistrictSettledDTO);

    int districtProjectName(@Param("projectName") String projectName);
}