package cn.com.countrygarden.bi.main.dao.dup;

import cn.com.countrygarden.bi.main.model.dup.BuoyData;
import cn.com.countrygarden.bi.main.model.dup.BuoyQueryData;
import com.github.pagehelper.PageRowBounds;
import org.springframework.stereotype.Repository;
import cn.com.countrygarden.bi.main.core.Mapper;

import javax.transaction.Transactional;
import java.util.List;
import java.util.Map;

public interface BuoyDataMapper extends Mapper<BuoyData> {
    List<BuoyQueryData> queryByDateRang(Map<String,Object> map, PageRowBounds pageRowBounds);
    List<BuoyQueryData> summaryByWeek(Map<String,Object> map, PageRowBounds pageRowBounds);
}