package cn.com.countrygarden.bi.main.dao.mediaResource;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.mediaResource.MediaOrderRunDto;
import cn.com.countrygarden.bi.main.model.mediaResource.MediaOrderRun;

import java.util.List;

public interface MediaOrderRunMapper extends Mapper<MediaOrderRun> {
    /**
     * 高级查询条目
     * @param param
     * @return
     */
    List<MediaOrderRunDto> findList(MediaOrderRunDto param);

    /**
     * 高级查询总数
     * @param param
     * @return
     */
    Long findCount(MediaOrderRunDto param);

    /**
     * 获取最近的执行单号
     * @param orderId
     * @return
     */
    MediaOrderRunDto findOrderRunNear(String orderId);

}
