package cn.com.countrygarden.bi.main.dto.extension;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName ExtensionErpData
 * @Description   未绑定的 DUP 数据
 * @Author Sjiang
 * @Date 2019/1/16 10:07
 * @Version 1.0
 **/
@Data
@EqualsAndHashCode(callSuper = false)
public class ExtensionDupDTO extends ExtensionBaseDTO {
    /**
     * @Author Sjiang
     * @Description // '拓展区域'
     * @Date 10:32 2019/1/15
     **/
    private String organName;
    /**
     * @Author Sjiang
     * @Description // '项目名称'
     * @Date 10:32 2019/1/15
     **/
    private String projectName;
    /**
     * @Author Sjiang
     * @Description // '接管区域'
     * @Date 10:32 2019/1/15
     **/
    private String proposalOrganName;
    /**
     * @Author Sjiang
     * @Description // '项目性质'
     * @Date 10:32 2019/1/15
     **/
    private String projectNature;
    /**
     * @Author Sjiang
     * @Description // '新 / 二手 ， 1 --> 表示新,2 --> 表示二手 '
     * @Date 10:32 2019/1/15
     **/
    private Integer isNew;
    /**
     * @Author Sjiang
     * @Description // '合作模式'
     * @Date 10:32 2019/1/15
     **/
    private String corpType;
    /**
     * @Author Sjiang
     * @Description // '签约日期'
     * @Date 10:32 2019/1/15
     **/
    private String signTime;

    /**
     * @Author Sjiang
     * @Description // 查询用的'签约日期'
     * @Date 10:32 2019/1/15
     **/
    private String signTimeEnd;

}