package cn.com.countrygarden.bi.main.dto.extension;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName ExtensionErpData
 * @Description  未绑定的 ERP 数据
 * @Author Sjiang
 * @Date 2019/1/16 10:07
 * @Version 1.0
 **/
@Data
@EqualsAndHashCode(callSuper = false)
public class ExtensionErpDTO extends ExtensionBaseDTO {

    /**
     * @Author Sjiang
     * @Description // '物业区域'
     * @Date 10:32 2019/1/15
     **/
    private String propertyArea;

    /**
     * @Author Sjiang
     * @Description // '物业区域编号'
     * @Date 10:32 2019/1/15
     **/
    private String areaNumber;
    /**
     * @Author Sjiang
     * @Description // '物业项目'
     * @Date 10:32 2019/1/15
     **/
    private String propertyProject;
    /**
     * @Author Sjiang
     * @Description // '项目性质'
     * @Date 10:32 2019/1/15
     **/
    private String commKind;
    /**
     * @Author Sjiang
     * @Description // '物业项目编号'
     * @Date 10:32 2019/1/15
     **/
    private String projectNumber;
    /**
     * @Author Sjiang
     * @Description // '项目类型'
     * @Date 10:32 2019/1/15
     **/
    private String projectType;
    /**
     * @Author Sjiang
     * @Description // '省级行政区'
     * @Date 10:32 2019/1/15
     **/
    private String province;

    /**
     * @Author Sjiang
     * @Description // 常规物业收费模式
     * @Date 16:45 2019/1/17
     **/
    private String conventionalCharges;

    /**
     * @Author Sjiang
     * @Description // 常规物业服务模式
     * @Date 16:45 2019/1/17
     **/
    private String conventionalService;

    /**
     * @Author Sjiang
     * @Description // 物业业态
     * @Date 16:45 2019/1/17
     **/
    private String propertyForm;

    /**
     * @Author Sjiang
     * @Description // 项目开发状态
     * @Date 16:45 2019/1/17
     **/
    private String developmentState;

    /**
     * @Author Sjiang
     * @Description // 市级行政区域
     * @Date 12:40 2019/1/17
     **/
    private String city;

    /**
     * @Author Sjiang
     * @Description // 县级行政区
     * @Date 12:40 2019/1/17
     **/
    private String borough;

    /**
     * @Author Sjiang
     * @Description // 乡级行政区
     * @Date 12:40 2019/1/17
     **/
    private String region;
}
