package cn.com.countrygarden.bi.main.dto.extension;

import lombok.Getter;
import lombok.Setter;

/**
 * @ClassName ExtensionFileInfo
 * @Description  已上传文件详细
 * @Author Sjiang
 * @Date 2019/1/18 15:26
 * @Version 1.0
 **/
@Getter
@Setter
public class ExtensionUpFileInfo extends ExtensionBaseDTO {


    /**
     * @Author Sjiang
     * @Description  文件名
     * @Date 15:29 2019/1/18
     **/
    private String fileName;

    /**
     * @Author Sjiang
     * @Description  文件存储 oss 名
     * @Date 15:29 2019/1/18
     **/
    private String fileRealName;

    /**
     * @Author Sjiang
     * @Description  文件 URL
     * @Date 15:29 2019/1/18
     **/
    private String fileUrl;

    /**
     * @Author Sjiang
     * @Description  文件类型
     * @Date 15:29 2019/1/18
     **/
    private String fileType;

    /**
     * @Author Sjiang
     * @Description  文件标识 - 表示为投决会文件或合同文件,meet 表示上会,contract 表示为合同文件
     * @Date 15:29 2019/1/18
     **/
    private String fileTab;


    private Long extensionReportId;
    private String uploadUserCode;

}
