package cn.com.countrygarden.bi.main.handler.wcx;

import cn.com.countrygarden.bi.main.dto.wcx.WcxPrizeDto;

import java.util.Date;
import java.util.List;

/**
 * Created by ADMS on 2018/7/9.
 */
public abstract class WcxPrizeHandle {
    /**
     * 查询符合该抽取条件(规则)下的人员(创意,区域,或项目)
     * @param startDate
     * @param endDate
     * @return
     */
    abstract public List<WcxPrizeDto> selectItem(Date startDate, Date endDate);

    /**
     * 保存该抽取条件(规则)下的人员(创意,区域,或项目)
     * @param wcxPrizeDtos
     * @return
     */
    abstract public int save(List<WcxPrizeDto> wcxPrizeDtos);

}
