//package cn.com.countrygarden.bi.main.model.businessCenterSubmission;
//
//import com.github.pagehelper.Page;
//import com.github.pagehelper.PageInfo;
//import com.github.pagehelper.PageRowBounds;
//
//import java.io.Serializable;
//import java.math.BigDecimal;
//import java.math.RoundingMode;
//
//public class PageData implements Serializable {
//    private static final long serialVersionUID = -3183875085484206487L;
//
//    public PageData() {}
//
//    public PageData(Page<?> page) {
//        this.pages = page.getPages();
//        this.pageNum = page.getPageNum();
//        this.pageSize = page.getPageSize();
//        this.total = page.getTotal();
//        if (this.pages <= this.pageNum) {
//            this.endOfPage = true;
//        } else {
//            this.endOfPage = false;
//        }
//        this.list = page;
//    }
//
//    public PageData(Object data, PageRowBounds pageRowBounds) {
//        if (pageRowBounds != null) {
//            long total = pageRowBounds.getTotal();
//            long pageNum = pageRowBounds.getOffset();
//            long pageSize = pageRowBounds.getLimit();
//            int pages = 0;
//            int currentPage = (int)pageNum;
//            if (total > 0 && pageSize > 0) {
//                BigDecimal totalSize = new BigDecimal(Long.toString(total));
//                BigDecimal pageSizeDc = new BigDecimal(Long.toString(pageSize));
//                BigDecimal pagesDc = totalSize.divide(pageSizeDc, 0, RoundingMode.UP);
//                pages = pagesDc.intValue();
//            }
//            boolean isEndOfPage = false;
//            if (pages <= currentPage) {
//                isEndOfPage = true;
//            }
//
//            this.pages = pages;
//            this.total = total;
//            this.pageNum = currentPage;
//            this.pageSize = (int)pageSize;
//            this.endOfPage = isEndOfPage;
//
//        }
//        this.list = data;
//    }
//
//    public PageData(PageInfo info) {
//        pages = info.getPages();
//        list = info.getList();
//        pageSize = info.getPageSize();
//        total = info.getTotal();
//        endOfPage = !info.isHasNextPage();
//        pageNum = info.getPageNum();
//    }
//
//    private Integer pages = 0;
//    private Long total = 0L;
//    private Integer pageNum = 1;
//    private Integer pageSize = 0;
//    private Boolean endOfPage = false;
//    private Object list;
//
//    public Integer getPages() {
//        return pages;
//    }
//
//    public void setPages(Integer pages) {
//        this.pages = pages;
//    }
//
//    public Long getTotal() {
//        return total;
//    }
//
//    public void setTotal(Long total) {
//        this.total = total;
//    }
//
//    public Integer getPageNum() {
//        return pageNum;
//    }
//
//    public void setPageNum(Integer pageNum) {
//        this.pageNum = pageNum;
//    }
//
//    public Integer getPageSize() {
//        return pageSize;
//    }
//
//    public void setPageSize(Integer pageSize) {
//        this.pageSize = pageSize;
//    }
//
//    public Boolean getEndOfPage() {
//        return endOfPage;
//    }
//
//    public void setEndOfPage(Boolean endOfPage) {
//        this.endOfPage = endOfPage;
//    }
//
//    public Object getList() {
//        return list;
//    }
//
//    public void setList(Object list) {
//        this.list = list;
//    }
//
//}
