package cn.com.countrygarden.bi.main.service.dup;

import java.util.List;

import cn.com.countrygarden.bi.main.model.PageData;
import cn.com.countrygarden.bi.main.model.dup.DivertStatistical;

/**
 * <pre>
 * 。转名统计Service 
 * </pre>
 * 
 * @author developer developer@meicloud.com
 * @version 1.00.00
 * 
 *          <pre>
 * 修改记录
 *    修改后版本:     修改人：  修改日期:     修改内容:
 * </pre>
 */
public interface DivertStatisticalService {
	
	/**
	 * 查询的转名统计--支持搜索
	 * @param divertStatistical
	 * @return
	 */
	PageData findDivertStaticalLike(DivertStatistical divertStatistical);

	/**
	 * 查询所有的转名统计--支持搜索
	 * @param divertStatistical
	 * @return
	 */
	List<DivertStatistical> findDivertStatical(DivertStatistical divertStatistical);
	
	/**
	 * 查询楼宇的类型
	 * @return
	 */
	List<String> findRoomType();
}
