package cn.com.countrygarden.bi.main.service.extension;

import cn.com.countrygarden.bi.main.dto.extension.ExtensionErpDTO;
import cn.com.countrygarden.bi.main.dto.extension.ExtensionPageData;
import cn.com.countrygarden.bi.main.service.AccessTokenService;

import javax.servlet.http.HttpServletRequest;

/**
 * @ClassName ExtensionBindingService
 * @Description 市场拓展 -> 外拓绑定 -> ERP 绑定业务逻辑
 * @Author Sjiang
 * @Date 2019/1/15 11:13
 * @Version 1.0
 **/
public interface ExtensionErpBindingService {


    /**
     * @Author Sjiang
     * @Description // 根据 bindingIdentifier 查询对应状态的信息
     * @Date 11:23 2019/1/17
     * @Param [dto, pageRowBounds]
     * @return PageData
     **/
    Object selectErpBindingOrUnbinding(ExtensionErpDTO dto, AccessTokenService accessTokenService, HttpServletRequest request, ExtensionPageData pageData);

    Object selectAll(ExtensionErpDTO erpDTO, AccessTokenService accessTokenService, HttpServletRequest request, ExtensionPageData pageData);
}
