package cn.com.countrygarden.bi.main.service.impl;

import cn.com.countrygarden.bi.main.dao.sys.FunctionMapper;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.service.UserFunctionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by chenweijiang on 2017/9/11.
 */
@Service
@Transactional
public class UserFunctionServiceImpl implements UserFunctionService {

    @Autowired
    private FunctionMapper functionMapper;

    @Override
    public List<Function> findUserFunctions(String usercode) {
        return functionMapper.findByUserCode(usercode);
    }
}
