package cn.com.countrygarden.bi.main.service.manager.map.impl;

import cn.com.countrygarden.bi.main.dao.manager.map.ManagerHousekeeperCacheTemporaryMapper;
import cn.com.countrygarden.bi.main.model.manager.map.ManagerHousekeeperCacheTemporary;
import cn.com.countrygarden.bi.main.service.manager.map.ManagerHousekeeperCacheTemporaryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ManagerHousekeeperCacheTemporaryServiceImpl implements ManagerHousekeeperCacheTemporaryService {

    @Autowired
    private ManagerHousekeeperCacheTemporaryMapper managerHousekeeperCacheTemporaryMapper;

    @Override
    public boolean clearAllCacheData() {
        return managerHousekeeperCacheTemporaryMapper.clearAllData()!=-1;
    }

    @Override
    public boolean saveList(List<ManagerHousekeeperCacheTemporary> recordList) {
        return managerHousekeeperCacheTemporaryMapper.insertList(recordList)!=-1;
    }
}
