package cn.com.countrygarden.bi.main.service.propertyAgreement;

import cn.com.countrygarden.bi.main.dto.propertyAgreement.PropertyAgreementDto;
import cn.com.countrygarden.bi.main.model.PageData;

import java.io.IOException;
import java.util.List;

public interface PropertyAgreementService {
    /**
     * 分页查询
     * @author ferren
     * @date 2020/1/13 11:35
     * @param propertyAgreement
     * @return cn.com.countrygarden.bi.main.model.PageData
     */
    PageData selectPageList(PropertyAgreementDto propertyAgreement);
    /**
     * 同步数据
     * @author ferren
     * @date 2020/1/13 11:34
     * @param
     * @return boolean
     */
    boolean synchronizeData() throws IOException;
    /**
     * 区域列表
     * @author ferren
     * @date 2020/1/13 17:10
     * @param
     * @return java.util.List<java.lang.String>
     */
    @Deprecated
    List<String> selectOrganList();

    boolean synchronizeDataTest(String startTime, String nowTime,String areaid);
}
