package cn.com.countrygarden.bi.main.service.writtenExamination;

import java.io.IOException;
import java.util.ArrayList;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.multipart.MultipartFile;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.PersonInfoVO;
import cn.com.countrygarden.bi.main.dto.PersonnelWrittenexaminationVO;
import cn.com.countrygarden.bi.main.dto.personnel.QueryCriteriaDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.writtenExamination.PersonnelSelectionscore;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;

/**
 * 个人单独项目跟投表-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url
 * @date 2018-10-17
 */
public interface PersonnelSelectionscoreService {
	// Result selectPersonnelInformation(String search);
	Result add(PersonnelWrittenexaminationVO personnelWrittenexaminationVO,
			ArrayList<PersonnelSelectionscore> writtenexaminationVOList, AccessToken accessToken);

	Result edit(PersonnelWrittenexaminationVO personnelWrittenexaminationVO,
			ArrayList<PersonnelSelectionscore> writtenexaminationVOList, AccessToken accessToken);

	Result FileUpload(MultipartFile attach, PersonnelWrittenexaminationVO personnelWrittenexaminationVO,
			HttpServletRequest request);

	Result queryById(PersonnelWrittenexaminationVO personnelWrittenexaminationVO);

	Result queryPageList(PersonInfoVO personInfoVO, int page, int size, AccessToken accessToken);

	/**
	 * 导出
	 */
	Result excelImport(QueryCriteriaDTO queryCriteriaDTO, AccessToken accessToken, HttpServletResponse response)
			throws IOException;

	Result del(Integer personnelId,Integer personnelTagId);
	
	Result delpiliang(String personnelId, String personneltagId,String personnelSelectionTypeId);

	/**
	 * 导入
	 * 
	 * @param fileName
	 * @param multipartFile
	 * @param radio
	 * @param userCode
	 * @return
	 */
	Result exportExcel(String fileName, String createName, MultipartFile multipartFile, Integer radio,
			AccessToken accessToken);

}